Package weka.core.mathematicalexpression

# Interface sym

public interface sym
CUP generated interface containing symbol constants.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ABS`
`static final int`
`AND`
`static final int`
`BOOLEAN`
`static final int`
`CEIL`
`static final int`
`COMMA`
`static final int`
`COS`
`static final int`
`DIVISION`
`static final int`
`EOF`
`static final int`
`EQ`
`static final int`
`error`
`static final int`
`EXP`
`static final int`
`FALSE`
`static final int`
`FLOOR`
`static final int`
`GE`
`static final int`
`GT`
`static final int`
`IFELSE`
`static final int`
`LE`
`static final int`
`LOG`
`static final int`
`LPAREN`
`static final int`
`LT`
`static final int`
`MINUS`
`static final int`
`NOT`
`static final int`
`NUMBER`
`static final int`
`OR`
`static final int`
`PLUS`
`static final int`
`POW`
`static final int`
`RINT`
`static final int`
`RPAREN`
`static final int`
`SIN`
`static final int`
`SQRT`
`static final int`
`TAN`
`static final int`
`TIMES`
`static final int`
`TRUE`
`static final int`
`VARIABLE`

## Field Details

### TIMES

static final int TIMES

See Also:
  - Constant Field Values

### AND

static final int AND

See Also:
  - Constant Field Values

### IFELSE

static final int IFELSE

See Also:
  - Constant Field Values

### LT

static final int LT

See Also:
  - Constant Field Values

### SIN

static final int SIN

See Also:
  - Constant Field Values

### PLUS

static final int PLUS

See Also:
  - Constant Field Values

### OR

static final int OR

See Also:
  - Constant Field Values

### RPAREN

static final int RPAREN

See Also:
  - Constant Field Values

### COS

static final int COS

See Also:
  - Constant Field Values

### DIVISION

static final int DIVISION

See Also:
  - Constant Field Values

### NOT

static final int NOT

See Also:
  - Constant Field Values

### POW

static final int POW

See Also:
  - Constant Field Values

### SQRT

static final int SQRT

See Also:
  - Constant Field Values

### VARIABLE

static final int VARIABLE

See Also:
  - Constant Field Values

### TRUE

static final int TRUE

See Also:
  - Constant Field Values

### FLOOR

static final int FLOOR

See Also:
  - Constant Field Values

### RINT

static final int RINT

See Also:
  - Constant Field Values

### GT

static final int GT

See Also:
  - Constant Field Values

### CEIL

static final int CEIL

See Also:
  - Constant Field Values

### LPAREN

static final int LPAREN

See Also:
  - Constant Field Values

### LE

static final int LE

See Also:
  - Constant Field Values

### LOG

static final int LOG

See Also:
  - Constant Field Values

### EXP

static final int EXP

See Also:
  - Constant Field Values

### BOOLEAN

static final int BOOLEAN

See Also:
  - Constant Field Values

### COMMA

static final int COMMA

See Also:
  - Constant Field Values

### NUMBER

static final int NUMBER

See Also:
  - Constant Field Values

### EOF

static final int EOF

See Also:
  - Constant Field Values

### ABS

static final int ABS

See Also:
  - Constant Field Values

### GE

static final int GE

See Also:
  - Constant Field Values

### FALSE

static final int FALSE

See Also:
  - Constant Field Values

### MINUS

static final int MINUS

See Also:
  - Constant Field Values

### error

static final int error

See Also:
  - Constant Field Values

### EQ

static final int EQ

See Also:
  - Constant Field Values

### TAN

static final int TAN

See Also:
  - Constant Field Values